C89(1) | NetBSD General Commands Manual | C89(1)

# NAME

c89 — ANSI (1989) C compiler

# SYNOPSIS

c89 | [-pedantic] [-pedantic-errors] [-D_ANSI_SOURCE] [options ...]

# DESCRIPTION

Calls the C compiler (cc) with the given options, using a C language environment compatible with the ANSI X3.159-1989 (“ANSI C”) specification.

This includes proper handling of trigraphs, disabling non-ANSI compiler features (such as asm, inline, typeof, and the $ character in identifiers), and definition of the preprocessor symbol __STRICT_ANSI__.

The following options are available:

-pedantic
  Issue extra warnings defined by ANSI for use of non-ANSI features.
-pedantic-errors
  Issue errors instead of warnings that normally would be presented by -pedantic.
-D_ANSI_SOURCE
  Tell the system header file set to use an ANSI-conformant "clean" namespace.

# SEE ALSO

cc(1)

# STANDARDS

c89 conforms to IEEE Std 1003.2-1992 (“POSIX.2”).

# HISTORY

c89 appeared in NetBSD 1.4.

# BUGS

Since c89 is a shell wrapper script to cc, compile errors are prefixed by "cc:".

January 5, 1999 | NetBSD 5.99